<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

/*
This is the handler script
Its job is to ... handle stuff.  The basic flow of operation is as follows:
1) Initialize the page and set global variables
2) Set up the page's header and footer
3) Validate the input coming in if there is a validator
4) Output the page, unless there are errors
4a) If there are errors, go back to the previous page instead
5) print the footer to the page
*/

# do not cache anything generated by this page
header("Expires: Tue, 01 Jan 1981 01:00:00 GMT");
header("Cache-Control: no-cache");
header("Cache-Control: post-check=0,pre-check=0");
header("Cache-Control: max-age=0");
header("Pragma: no-cache");

# common includes
require_once("framework/includes.php");

# functions for login
load("login.php");

# do login if required
load("do_login.php");

# do the page log
load("page_log.php");

################
# Page Content #
################

# draw the header to the page
load("header.php");

# now the sidebar
load("sidebar.php");

echo (do_sidebar());

# now the login bar
load("login_bar.php");

# validate the page
if ($_REQUEST["validator"]) {
	
        $validator = explode(".",$_REQUEST["validator"]);
        if ($validator[count($validator) - 1] != "php") {
                puke ("Page must be a php script");
        } else if (strpos($_REQUEST["validator"], "../") !== false || strpos($_REQUEST["validator"], "..\\") !== false) {
                puke ("No directory traversals");
        } else if (strpos($_REQUEST["validator"], "://") !== false) {
                puke ("No remote files");
        } else if (file_exists("validators/" . $_REQUEST["validator"])) {
                # remember the validator we are going to
                require_once("validators/" . $_REQUEST["validator"]);
        } else {
                puke ("No validator exists: " . $_REQUEST["validator"]);
        }
	
	require_once("validators/" . $_REQUEST["validator"]);
	define ('VALIDATOR', stripslashes($_REQUEST["validator"]));
}

# if we aren't going to a page, we're going to index.php
if (!isset($_REQUEST["next_page"]) || $_REQUEST["next_page"] == "") {
	$_REQUEST["next_page"]="index.php";
}
if (!isset($_SESSION["prev_page"]) || $_SESSION["prev_page"] == "") {
	$_SESSION["prev_page"]="index.php";
}

# the actual page content
if (count($errors) == 0) {
        $page = explode(".",$_REQUEST["next_page"]);
        if ($page[count($page) - 1] != "php") {
		header('HTTP/1.1 404 Not Found');
                puke ("Page must be a php script");
        } else if (strpos($_REQUEST["next_page"], "../") !== false || strpos($_REQUEST["next_page"], "..\\") !== false) {
		header('HTTP/1.1 404 Not Found');
                puke ("No directory traversals");
        } else if (strpos($_REQUEST["next_page"], "://") !== false) {
		header('HTTP/1.1 404 Not Found');
                puke ("No remote files");
        } else if (file_exists("pages/" . $_REQUEST["next_page"])) {
                # remember the page we are going to
                $_SESSION["prev_page"] = $_REQUEST["next_page"];
                require_once("pages/" . $_REQUEST["next_page"]);
        } else {
		header('HTTP/1.1 404 Not Found');
                puke ("No page exists: " . $_REQUEST["next_page"]);
        }
} else {
	# since there was an error, we must go back to the previous page
	require_once("pages/" . $_SESSION["prev_page"]);
}

# draw the page footer
load("footer.php");

?>
