<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

require_login(AUTH_USER);
?>

<h1>Update Info</h1>

<?php

global $errors;

if ($_REQUEST["update"] && count($errors) == 0) {

	require_validator("account/info.php");

	$field_array = array("first_name", "last_name", "email");
	$update_array = array($_REQUEST["first_name"], $_REQUEST["last_name"], $_REQUEST["email"], $_SESSION["user_id"]);

	$stmt = sql_build_manip(sql_quote_identifier("user"), $field_array, MDB2_AUTOQUERY_UPDATE, "user_id = ?");
	sql_execute_manip($stmt, $update_array);

	header("Location: index.php?next_page=account/info_done.php");
	
}

?>

<?php

print_errors();

if (!($_REQUEST["update"])) {
	$SQL = "SELECT first_name, last_name, email FROM ".sql_quote_identifier("user")." WHERE user_id = ".clean_form_sql($_SESSION["user_id"]);
	$result = sql_query_read($SQL);
	$row = sql_fetch_array($result);
}

$first_name=($_REQUEST["update"]) ? clean_form_form($_REQUEST["first_name"]) : clean_sql_form($row["first_name"]);
$last_name=($_REQUEST["update"]) ? clean_form_form($_REQUEST["last_name"]) : clean_sql_form($row["last_name"]);
$email=($_REQUEST["update"]) ? clean_form_form($_REQUEST["email"]) : clean_sql_form($row["email"]);
?>

<form action="index.php" method="post">
<input type="hidden" name="next_page" value="account/info.php" />
<input type="hidden" name="validator" value="account/info.php" />

<table>

<tr>
<td>First Name:</td>
<td><input type="text" name="first_name" value="<?php echo($first_name); ?>" style="width: 300px" maxlength="50" /></td>
</tr>

<tr>
<td>Last Name:</td>
<td><input type="text" name="last_name" value="<?php echo($last_name); ?>" style="width: 300px" maxlength="50" /></td>
</tr>

<tr>
<td>Email Address:</td>
<td><input type="text" name="email" value="<?php echo($email); ?>" style="width: 300px" maxlength="100" /></td>
</tr>

</table>

<br />

<input type="submit" name="update" value="Update" />

</form>
