<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

require_login(AUTH_USER);
?>

<h1>Change Password</h1>

<?php

global $errors;

if ($_REQUEST["update"] && count($errors) == 0) {

	require_validator("account/password.php");

	$update = array();

	# do a SHA256 hash of the user's password
	$password = mhash(MHASH_SHA256,$_REQUEST["password_1"]);
	# generate a 64 byte hex representation of the above
	$password = bin2hex($password);

	$field_array = array("password");
	$update_array = array($password, $_SESSION["user_id"]);

	$stmt = sql_build_manip(sql_quote_identifier("user"), $field_array, MDB2_AUTOQUERY_UPDATE, "user_id = ?");
	sql_execute_manip($stmt, $update_array);

	header("Location: index.php?next_page=account/password_done.php");
	
}

?>

<?php
print_errors();
?>

<form action="index.php" method="post">
<input type="hidden" name="next_page" value="account/password.php" />
<input type="hidden" name="validator" value="account/password.php" />

<table>

<tr>
<td>New password:</td>
<td><input type="password" name="password_1" style="width: 300px" /></td>
</tr>

<tr>
<td>New password (again):</td>
<td><input type="password" name="password_2" style="width: 300px" /></td>
</tr>

</table>

<br />

<input type="submit" name="update" value="Change Password" />

</form>
