<?php
/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

require_login(AUTH_USER);

# cart operations

if ($_REQUEST["done"] == true) {

?>

<h1>Thank you!</h1>

<?php

	print_errors();
	echo ("<p>Your order has been completed successfully.  A Gavintech representative will contact you shortly with more information.</p>");

} else {

	print_errors();

	# get the items in the cart
	$SQL = "SELECT cart_id, id, name, key_row
		FROM cart
		INNER JOIN cart_table ON (cart.table_id = cart_table.table_id)
		WHERE user_id = ".clean_form_sql($_SESSION["user_id"]);
	$result = sql_query_read($SQL);

	$array = array();

	$total = 0;

	while ($row = sql_fetch_array($result)) {
		# we need specific info from the corresponding table
		$SQL = "SELECT price, name, quantity
			FROM ".$row["name"]."
			WHERE ".$row["key_row"]."=".clean_sql_sql($row["id"]);
		$result2 = sql_query_read($SQL);
		$row2 = sql_fetch_array($result2);

		$price = $row2["price"] * $row2["quantity"];

		$total += $price;
	}

	if ($total > 0 && $total == ($_REQUEST["item_number"]/100)) {

		# get all items in the cart
		$SQL = "SELECT name, cart_id, key_row, id, user_type FROM cart INNER JOIN cart_table ON (cart.table_id = cart_table.table_id) WHERE user_id = ".clean_form_sql($_SESSION["user_id"]);
		$result = sql_query_read($SQL);

		$email_message = "A new Gavintech order has just been completed for user ".clean_form_sql($_SESSION["user_name"])."\n\nOrder:\n\n";
		
		# kill them, and mark the items as ordered.
		if (sql_num_rows($result) > 0) {
			# build SQL statements
			$delete_stmt = sql_build_manip("cart", NULL, MDB2_AUTOQUERY_DELETE, "cart_id = ?");

			while ($row = sql_fetch_array($result)) {
				# set is_ordered to true
				$field_array = array("is_ordered");
				$stmt = sql_build_manip($row["name"], $field_array, MDB2_AUTOQUERY_UPDATE, $row["key_row"]." = ?");
				$update_array = array(1, $row["id"]);
				sql_execute_manip($stmt, $update_array);

				# if we're supposed to add the user to a group
				# because they ordered something, do it here
				if ($row["user_type"] > 0) {
					add_user_type($row["user_type"]);
				}
				# generate an email for the cart notify email
				$SQL = "SELECT name, quantity, price FROM ".$row["name"]." WHERE ".$row["key_row"]."=".clean_sql_sql($row["id"]);
				$result2 = sql_query_read($SQL);
				$row2 = sql_fetch_array($result2);

				$email_message .= clean_sql_sql($row2["name"])." (".$row["id"].") x".$row2["quantity"]." - $".$row2["price"]." each\n";

				sql_execute_manip($delete_stmt, array($row["cart_id"]));
			}
		}

		email(MACHINES_NOTIFY_EMAIL, "New Gavintech checkout", $email_message);

		header("Location: index.php?next_page=cart_complete.php&done=true");
		
	} else {
?>
<h1>Error!</h1>
<p>A problem occured when checking out.  A Gavintech representative will contact you shortly to correct the problem.</p>

<?php
	}
}
?>

