<?php
/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/
?>

<h1>Cart documentation</h1>
<p>This page is a primer on how to get the shopping cart and payments working.</p>
<h2>Table structure</h2>
<p>Any table that will be linked into the cart table needs the following columns:</p>
<ul>
<li>price - the unit price</li>
<li>order_date - the order date in datetime</li>
<li>user_id - the user_id in the user table</li>
<li>name - the description to show in the cart</li>
<li>quantity - the number of items ordered</li>
<li>is_ordered - has the order been paid for</li>
<li>is_completed - has the order been shipped</li>
</ul>
<h2>Details page</h2>
<p>You must create a details page that will take a GET argument in the form ?(key_row)=id.</p>
<h2>Linking to cart</h2>
<p>Once you have created your table, you should then link it to the cart table.  Do this using the cart_table table:</p>
<ul>
<li>name - the name of the table you are linking</li>
<li>key_row - the numerical primary key row in the table</li>
<li>details_page - the relative link to the details page we created</li>
<li>user_type - when the order completes, this is the user_type the user will obtain</li>
</ul>
<h2>Done</h2>
<p>That's it!  You can now add items to the cart table, ensuring that you use the correct cart_table_id, and also making sure that you insert a row into your custom table at the same time.  Transactions are useful here.</p>

