<?php
/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/
?>

<h1>The framework folder</h1>
<p>This document will describe the scripts in the framework folder.</p>
<h2>ajax_functions.php.php</h2>
<p>This script provides various ajax functionality.</p>
<h2>class_loader.php</h2>
<p>This script loads all files in the paths specified in vars.php that match the regular expression class_[a-z0-9].php.</p>
<h2>clean_functions.php</h2>
<p>Provides data cleaning functions to convert from one form of input to another.  Inputs: sql, form.  Outputs: sql, form, url, display.</p>
<h2>data_functions.php</h2>
<p>Provides data access functions.</p>
<h2>database.php</h2>
<p>Connects to the database.  Individual scripts may do their own database connections if they require a separate database.</p>
<h2>date_functions.php</h2>
<p>Provides functions for dealing with dates</p>
<h2>do_login.php</h2>
<p>Detects whether a login has been requested, and does the login via the login module defined in the vars.php script if required.  Also handles setting permissions for the user, and logout.</p>
<h2>email_functions.php</h2>
<p>Provides functions for emailing people on schedule.</p>
<h2>error_functions.php</h2>
<p>Provides error handling functions.</p>
<h2>footer.php</h2>
<p>This is the bottom of the page.</p>
<h2>gtphoto_functions.php</h2>
<p>This stores functions that are useful to gtphoto.</p>
<h2>header.php</h2>
<p>This is the top of the page, up to where the sidebar is defined.</p>
<h2>includes.php</h2>
<p>This script provides the load() function that allows for overrides, then loads the default set of no-output includes necessary to generate framework pages.  This should be included from all framework invokers (index.php, rpc.php, and email.php).  This script cannot be overridden.</p>
<h2>includes_loader.php</h2>
<p>This script actually loads the default set of no-output includes necessary to generate framework pages.</p>
<h2>javascript_functions.php</h2>
<p>This script provides useful javascript functions.</p>
<h2>log_functions.php</h2>
<p>This script has the functions required to interface with the log.</p>
<h2>login.php</h2>
<p>This script defines the function that is used to determine whether a user is allowed access to a page or not.</p>
<h2>login_bar.php</h2>
<p>This script draws the login bar across the top of the content cell.  If the user is logged in, it says what user is logged in and provides a logout link.  If the user is not logged in, it provides a login link.</p>
<h2>modules folder</h2>
<p>This folder stores all of the modules used.  Currently this is limited to login options.</p>
<h2>page_log.php</h2>
<p>This script checks to see if the page is excluded from being logged.  Otherwise, it will log it as an "interesting page" hit.</p>
<h2>page_start.php</h2>
<p>This script does all of the initialization that the framework needs before any other scripts are run.  It also starts timing the generation time of the page.</p>
<h2>paginate_functions.php</h2>
<p>This script contains the paginate function, which is used to display data in a table.</p>
<h2>rpc_loader.php</h2>
<p>This script loads all files in the paths specified in vars.php that match the regular expression rpc_[a-z0-9].php.</p>
<h2>session.php</h2>
<p>This script manages the session data.</p>
<h2>sidebar.php</h2>
<p>Sidebar.php has the sidebar generation function, and also stores the sidebar description that the sidebar generation function needs to make a sidebar.</p>
<h2>sql_wrappers.php</h2>
<p>This script provides a database abstraction layer, plus it handles sql errors in the framework way.</p>
<h2>style-print.css</h2>
<p>The style-print.css file contains the modifications to the style.css file necessary to accommodate printing.</p>
<h2>style.css</h2>
<p>The style.css file contains the CSS styling information.</p>
<h2>vars.php</h2>
<p>This script holds all of the global constants required by the framework.  This includes passwords, hosts, databases, login methods, user permissions, and more.</p>
<h2>version.php</h2>
<p>This script stores the version number of the framework.</p>
