<?php
/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/
?>

<h1>Walkthrough for a typical request</h1>
<p>This document will describe the process a typical page request invokes throug
h the framework.</p>
<p>A page is requested through the dispatcher.  The dispatcher is the index.php script sitting in the root of the framework.  You should never call any script d
irectly, they should all go through the dispatcher.  You can tell the dispatcher which page to load by adding the 'next_page' variable to the get or post reques
t.  For example, if you wanted the dispatcher to load pages/docs/index.php, you would link to index.php?next_page=docs/index.php.</p>
<p>The dispatcher is responsible for building the page.  It does all of the includes to add the header and the footer, and it includes all of the function providing scripts.  Take a look at the dispatcher for more information on exactly what it includes.</p>
<p>The important things the dispatcher does (in order that it does them) are: starts the session, connects to the database, attempts login if the user has requested to login, includes the header, validates the input (if it was requested), includes the page, and includes the footer.</p>
<p>Including the page is a bit complex.  First, the validator runs.  If it finds any problems, it will generate errors.  These errors are taken into account when determining which page to go to:  the page the user submitted from, or the page that the user wants to go to.  If there were errors, instead of going forward to the page that was requested, the dispatcher will include the page that the user submitted from (previous_page, stored in the session).  The idea is that the previous page has a "print_errors" function call (which will display which errors were encountered), and then it will fill in the form elements with whatever the user submitted.  If there were no errors, the "next_page" is included and the user continues as if none of this ever happened.</p>
 
