<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_ADMIN);

	if ($_REQUEST["add"] && count($errors) == 0) {
		$id = sql_next_id("page_log_exclusion");
		$field_array = array("page_log_exclusion_id", "next_page");
		$stmt = sql_build_manip("page_log_exclusion", $field_array, MDB2_AUTOQUERY_INSERT, NULL);
		$insert_array = array($id, $_REQUEST["page"]);
		sql_execute_manip($stmt, $insert_array);

		header("Location: index.php?next_page=log/exclusions.php&add_done=true");
	}

	if ($_REQUEST["edit"] && count($errors) == 0) {
		$stmt = sql_build_manip("page_log_exclusion", array("next_page"), MDB2_AUTOQUERY_UPDATE, "page_log_exclusion_id = ?");
		foreach ($_REQUEST["page"] as $key => $value) {
			sql_execute_manip($stmt, array($value["next_page"], $key));
		}

		header("Location: index.php?next_page=log/exclusions.php&edit_done=true");

	}
	
?>

<h1>Exclusions Admin</h1>

<?php
	print_errors();

	if ($_REQUEST["add_done"]) {
		echo ("<h2>Exclusion added successfully</h2>\n");
	}
	if ($_REQUEST["edit_done"]) {
		echo ("<h2>Exclusions edited successfully</h2>\n");
	}
?>

<h2>Edit Exclusions</h2>

<?php

	$SQL = "SELECT * FROM page_log_exclusion";
	$result = sql_query_read($SQL);

	if (sql_num_rows($result) > 0) {
		echo ("<form action=\"index.php\" method=\"post\">\n");
		echo ("<input type=\"hidden\" name=\"next_page\" value=\"log/exclusions.php\" />\n");
		echo ("<input type=\"hidden\" name=\"validator\" value=\"log/edit_exclusion.php\" />\n");
		echo ("<table>\n");

		while ($row = sql_fetch_array($result)) {

			if ($_REQUEST["edit"]) {
				$next_page = clean_form_form($_REQUEST["page"][$row["page_log_exclusion_id"]]["next_page"]);
			} else {
				$next_page = clean_sql_form($row["next_page"]);
			}

			echo ("<tr>\n");
			echo ("<td>".clean_sql_display($row["page_log_exclusion_id"])."</td>\n");
			echo ("<td><input type=\"text\" name=\"page[".$row["page_log_exclusion_id"]."][next_page]\" value=\"$next_page\" /></td>\n");
			echo ("</tr>\n");

		}
		
		echo ("</table>\n");
		echo ("<p><input type=\"submit\" name=\"edit\" value=\"Edit\" /></p>\n");
		echo ("</form>\n");
	} else {
		echo ("<p>No existing exclusions!</p>");
	}

?>

<h2>Add exclusion</h2>

<form action="index.php" method="post">
<input type="hidden" name="next_page" value="log/exclusions.php" />
<input type="hidden" name="validator" value="log/add_exclusion.php" />

<table>
<tr>
<td>Next Page</td>
<td><input type="text" name="page" value="<?php echo($_REQUEST["add"] ? clean_form_form($_REQUEST["next_page"]) : ""); ?>" /></td>
</tr>
</table>

<p><input type="submit" name="add" value="Add Exclusion" /></p>
</form>
