<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

require_login(AUTH_ADMIN);

echo ("<h1>Search log</h1>\n");

if ($_REQUEST["submit"]) {

	if (DATABASE_TYPE == "pgsql") {
		$SQL = "SELECT log_date, user_name, ip, component, message, level FROM log LEFT JOIN \"user\" ON (log.user_id = \"user\".user_id) WHERE 1=1 ";
	} else {
		$SQL = "SELECT log_date, user_name, ip, component, message, level FROM log LEFT JOIN `user` ON (log.user_id = `user`.user_id) WHERE 1=1 ";
	}
	if ($_REQUEST["do_start_date"]) {
		$time = mktime($_REQUEST["start_date"]["hour"],
				$_REQUEST["start_date"]["minute"],
				0,
				$_REQUEST["start_date"]["month"],
				$_REQUEST["start_date"]["day"],
				$_REQUEST["start_date"]["year"]);
		$SQL .= "AND log_date >= $time ";
	}
	if ($_REQUEST["do_end_date"]) {
		$time = mktime($_REQUEST["end_date"]["hour"],
				$_REQUEST["end_date"]["minute"],
				0,
				$_REQUEST["end_date"]["month"],
				$_REQUEST["end_date"]["day"],
				$_REQUEST["end_date"]["year"]);
		$SQL .= "AND log_date <= $time ";
	}
	if ($_REQUEST["do_component"]) {
		$SQL .= "AND component LIKE ".clean_form_sql($_REQUEST["component"])." ";
	}
	if ($_REQUEST["do_level"]) {
		$SQL .= "AND level <= ".$_REQUEST["level"]." ";
	}
	if ($_REQUEST["do_username"]) {
		$SQL .= "AND user_name LIKE ".clean_form_sql($_REQUEST["username"])." ";
	}
	if ($_REQUEST["do_ip"]) {
		$SQL .= "AND ip LIKE ".clean_form_sql($_REQUEST["ip"])." ";
	}
	if ($_REQUEST["do_text"]) {
		$SQL .= "AND message LIKE ".clean_form_sql("%".$_REQUEST["text"]."%")." ";
	}

	$result = sql_query_read($SQL);

	if (sql_num_rows($result) > 0) {

		$array = array();
		while ($row = sql_fetch_array($result)) {
			$array2 = array();
			$array2["Date"][0] = $row["log_date"];
			$array2["Date"][1] = date("Y-m-d H:i", $row["log_date"]);
			$array2["IP Address"] = clean_sql_display($row["ip"]);
			$array2["User"] = clean_sql_display($row["user_name"]);
			$array2["Level"] = clean_sql_display($row["level"]);
			$array2["Component"] = clean_sql_display($row["component"]);
			$array2["Message"] = clean_sql_display($row["message"]);
			$array[] = $array2;
		}

		$carry = generate_carry(array("do_start_date", "start_date", "do_end_date", "end_date", "do_component", "component", "do_level", "level", "do_username", "username", "do_ip", "ip", "do_text", "text", "submit"));

		paginate ($array, "Date", SORT_DESC, 100, "Message", $carry);
	} else {
		echo ("<p>No results found.</p>");
	}

} else {

?>

<p>Select some categories to search on (by checking the checkbox), then fill in some parameters, then click the Search button.</p>

<p>Nothing here is all that efficient when querying the log, so be prepared to wait for your results.</p>

<form action="index.php" method="get">

<input type="hidden" name="next_page" value="log/view.php" />

<table>

<tr>
<td><input type="checkbox" name="do_start_date" value="true" /></td>
<td>Start date:</td>
<td><?php echo(display_date_dropdown(time(), "start_date", "both")); ?></td>
</tr>

<tr>
<td><input type="checkbox" name="do_end_date" value="true" /></td>
<td>End date:</td>
<td><?php echo(display_date_dropdown(time(), "end_date", "both")); ?></td>
</tr>

<tr>
<td><input type="checkbox" name="do_component" value="true" /></td>
<?php
	$SQL = "SELECT DISTINCT (component) FROM log ORDER BY component ASC";
	$result = sql_query_read($SQL);
	$options = array();
	while ($row = sql_fetch_array($result)) {
		$options[] = clean_sql_form($row["component"]);
	}
?>
<td>Component:</td>
<td><?php echo(count($options) > 0 ? dropdown("component", $options, "") : ""); ?></td>
</tr>

<tr>
<td><input type="checkbox" name="do_level" value="true" /></td>
<td>Log level at least:</td>
<?php
$options = array();
$array = array();
$array["id"] = FRAMEWORK_LOG_ERROR;
$array["name"] = "Error";
$options[] = $array;
$array["id"] = FRAMEWORK_LOG_WARN;
$array["name"] = "Warning";
$options[] = $array;
$array["id"] = FRAMEWORK_LOG_NOTICE;
$array["name"] = "Notice";
$options[] = $array;
$array["id"] = FRAMEWORK_LOG_INFO;
$array["name"] = "Info";
$options[] = $array;
$array["id"] = FRAMEWORK_LOG_DEBUG;
$array["name"] = "Debug";
$options[] = $array;

?>
<td><?php echo(dropdown("level", $options, FRAMEWORK_LOG_DEBUG)); ?></td>
</tr>

<tr>
<td><input type="checkbox" name="do_username" value="true" /></td>
<td>Username:</td>
<td><input type="text" name="username" value="" style="width: 300px" /></td>
</tr>

<tr>
<td><input type="checkbox" name="do_ip" value="true" /></td>
<td>IP Address:</td>
<td><input type="text" name="ip" value="" style="width: 300px" /></td>
</tr>

<tr>
<td><input type="checkbox" name="do_text" value="true" /></td>
<td>Containing Text:</td>
<td><input type="text" name="text" value="" style="width: 300px" /></td>
</tr>

</table>

<p><input type="submit" name="submit" value="Search" /></p>

</form>

<?php

}

?>
