<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

require_login(AUTH_USER);

if ($_REQUEST["already_sub"]) {
	$errors[] = "Already subscribed to this feed";
}
if ($_REQUEST["add_feed"]) {
	$successes[] = "Feed added successfully";
}
if ($_REQUEST["delete_feed"]) {
	$successes[] = "Feed deleted successfully";
}

?>

<h1>Manage RSS Feeds</h1>

<?php
	print_errors();
?>

<h2>Add Feed</h2>

<form action="index.php" method="post">

<input type="hidden" name="next_page" value="rss/feed_add.php" />

<table>
<tr>
<td>Feed URL:</td>
<td><input type="text" name="url" value="" style="width: 400px" /></td>
</tr>
<tr>
<td>Category:</td>
<td>
<select name="rss_category_id">
<option value="NULL">Unsorted</option>
<?php
	$SQL = "SELECT rss_category_id, name
		FROM rss_category
		ORDER BY name";
	$result = sql_query_read($SQL);
	while ($row = sql_fetch_array($result)) {
		echo ("<option value=\"".$row["rss_category_id"]."\">".clean_sql_display($row["name"])."</option>\n");
	}
?>
</select>
</td>
</tr>
</table>

<p><input type="submit" value="Add Feed" /></p>

</form>

<h2>Subscribed Feeds</h2>

<?php

	$SQL = "SELECT url, rss.name AS rss_name, rss_category.name AS category_name, rss_subscription_id
		FROM rss
		INNER JOIN rss_subscription ON (rss.rss_id = rss_subscription.rss_id)
		INNER JOIN rss_category ON (rss_category.rss_category_id = rss_subscription.rss_category_id)
		WHERE user_id = ".clean_form_sql($_SESSION["user_id"]);
	$result = sql_query_read($SQL);

	$array = array();
	
	while ($row = sql_fetch_array($result)) {
		$array2 = array();

		$array2["Title"] = clean_sql_display($row["rss_name"]);
		$array2["Category"] = clean_sql_display($row["category_name"]);
		$array2["URL"] = "<a href=\"".clean_sql_form($row["url"])."\">".clean_sql_display($row["url"])."</a>";
		$array2[1] = "<input type=\"submit\" name=\"delete[".$row["rss_subscription_id"]."]\" value=\"Delete\">";


		$array[] = $array2;
	}

	if (count($array) > 0) {
		echo ("<form action=\"index.php\" method=\"post\">\n");
		echo ("<input type=\"hidden\" name=\"next_page\" value=\"rss/feed_delete.php\" />\n");
		paginate($array, "Title", SORT_ASC, 0, "URL");
		echo ("</form>\n");
	} else {
		echo ("<p><i>No subscriptions yet!</i></p>");
	}

?>
