<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_USER);
	
	# get the name of the feed
	$SQL = "SELECT name FROM rss WHERE rss_id = ".clean_form_sql($_REQUEST["rss_id"]);
	$result = sql_query_read($SQL);
	$row = sql_fetch_array($result);
	
	echo ("<h1>Items for ".clean_sql_display($row["name"])."</h1>");
	
	echo ("<p><a href=\"index.php?next_page=rss/view_feed.php&mark=true&rss_id=".clean_form_url($_REQUEST["rss_id"])."\">Mark all items as read</a></p>");

	# get the items
	$SQL = "SELECT rss_item.rss_item_id, date, title, summary, rss_read.rss_read_id as rss_read_id
		FROM rss_item
		LEFT JOIN rss_read ON (rss_item.rss_item_id = rss_read.rss_item_id AND rss_read.user_id = ".$_SESSION["user_id"].")
		WHERE rss_id = ".clean_form_sql($_REQUEST["rss_id"])."
		AND hidden = 0";
	$result = sql_query_read($SQL);

	$array = array();

	$field_array = array("rss_read_id", "rss_item_id", "user_id");
	$insert_stmt = sql_build_manip("rss_read", $field_array, MDB2_AUTOQUERY_INSERT, NULL);

	while ($row = sql_fetch_array($result)) {
		$array2 = array();

		$array2["Date Fetched"][0] = $row["date"];
		$array2["Date Fetched"][1] = date("M j, Y H:i",$row["date"]);

		$array2["Title"][0] = clean_sql_display($row["title"]);
		$array2["Title"][1] = "<a href=\"index.php?next_page=rss/go.php&rss_item_id=".$row["rss_item_id"]."\">".clean_sql_display($row["title"])."</a>";

		# unread
		if (!is_numeric($row["rss_read_id"]) && !$_REQUEST["mark"]) {
			$array2["Title"][1] = "<b>".$array2["Title"][1]."</b>";
		}

		# if we've been asked to mark all as read, and this one is unread
		# then we should mark it as read
		if (!is_numeric($row["rss_read_id"]) && $_REQUEST["mark"]) {

			$id = sql_next_id("rss_read");
			$insert_array = array($id, $row["rss_item_id"], $_SESSION["user_id"]);
			sql_execute_manip($insert_stmt, $insert_array);
		}

		$array2["Summary"] = clean_sql_display($row["summary"]);

		$array[] = $array2;
	}

	if (count($array) > 0) {
		paginate($array, "Date Fetched", SORT_DESC, 0);
	} else {
		echo ("<p><i>No items to display!</i></p>");
	}

?>
