<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

if (ALLOW_SIGNUP) {

	if (!$_REQUEST["done"]) {
		
		require_validator("signup.php");

		$new_password = substr(md5(mt_rand(1,1000000)), 0, 8);

		# do a SHA256 hash of the user's password
		$password = mhash(MHASH_SHA256,$new_password);
		# generate a 64 byte hex representation of the above
		$password = bin2hex($password);

		$id = sql_next_id("user");
		$field_array = array("user_id", "first_name", "last_name", "email", "user_name", "password");
		$insert_array = array($id, $_REQUEST["first_name"], $_REQUEST["last_name"], $_REQUEST["email"], $_REQUEST["user_name"], $password);
		$stmt = sql_build_manip(sql_quote_identifier("user"), $field_array, MDB2_AUTOQUERY_INSERT, NULL);
		sql_execute_manip($stmt, $insert_array);

		$field_array = array("user_type_link_id", "user_id", "type_id");
		$stmt = sql_build_manip("user_type_link", $field_array, MDB2_AUTOQUERY_INSERT, NULL);
		foreach ($standard_types as $value) {
			$link_id = sql_next_id("user_type_link");
			$insert_array = array($link_id, $id, $value);
			sql_execute_manip($stmt, $insert_array);
		}

		email(clean_form_display($_REQUEST["email"]), "Gavintech account", "Thank you for signing up for a Gavintech account.  The password for the user ".$_REQUEST["user_name"]." is $new_password .\n\n--\nThis is an automated email.", EMAIL_AUTO_FROM);

		header("Location: index.php?next_page=signup_do.php&done=true");
		exit();
	}

?>

<h1>Gavintech account</h1>

<h2>Account created successfully</h2>

<p>Your Gavintech account has been set up.  You can now <a href="index.php?next_page=login.php">log in</a> using the password that was emailed to you.</p>

<?php
}
?>
