<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_TICKETING_CONSULTANT);
?>

<h1>Manage Data</h1>

<?php

	$edit[0]["table"] = "ticket_consultant";
	$edit[0]["name"] = "Consultant";
	$edit[0]["plural"] = "Consultants";
	$edit[0]["id_column"] = "consultant_id";
	$edit[0]["fields"][0]["name"] = "ID";
	$edit[0]["fields"][0]["field"] = "consultant_id";
	$edit[0]["fields"][0]["type"] = 0;
	$edit[0]["fields"][1]["name"] = "Name";
	$edit[0]["fields"][1]["field"] = "name";
	$edit[0]["fields"][1]["validator"] = "^[0-9A-Za-z ,.-]+\$";
	$edit[0]["fields"][1]["error"] = "Name must be alphanumeric";
	$edit[0]["fields"][1]["type"] = 2;

	$edit[1]["table"] = "ticket_status";
	$edit[1]["name"] = "Status";
	$edit[1]["plural"] = "Statuses";
	$edit[1]["id_column"] = "status_id";
	$edit[1]["fields"][0]["name"] = "ID";
	$edit[1]["fields"][0]["field"] = "status_id";
	$edit[1]["fields"][0]["type"] = 0;
	$edit[1]["fields"][1]["name"] = "Name";
	$edit[1]["fields"][1]["field"] = "name";
	$edit[1]["fields"][1]["validator"] = "^[0-9A-Za-z ,.-]+\$";
	$edit[1]["fields"][1]["error"] = "Name must be alphanumeric";
	$edit[1]["fields"][1]["type"] = 2;
	$edit[1]["fields"][2]["name"] = "Selected";
	$edit[1]["fields"][2]["field"] = "selected";
	$edit[1]["fields"][2]["validator"] = "^[01]{1}\$";
	$edit[1]["fields"][2]["error"] = "Selected must be 0 or 1";
	$edit[1]["fields"][2]["type"] = 2;
	$edit[1]["fields"][3]["name"] = "Sort order";
	$edit[1]["fields"][3]["field"] = "sort_order";
	$edit[1]["fields"][3]["validator"] = "^[0-9]{1,5}\$";
	$edit[1]["fields"][3]["error"] = "Selected must be between 0 and 99999";
	$edit[1]["fields"][3]["type"] = 2;

	$edit[2]["table"] = "ticket_person";
	$edit[2]["name"] = "Person";
	$edit[2]["plural"] = "People";
	$edit[2]["id_column"] = "person_id";
	$edit[2]["fields"][0]["name"] = "ID";
	$edit[2]["fields"][0]["field"] = "person_id";
	$edit[2]["fields"][0]["type"] = 0;
	$edit[2]["fields"][1]["name"] = "First name";
	$edit[2]["fields"][1]["field"] = "first_name";
	$edit[2]["fields"][1]["type"] = 2;
	$edit[2]["fields"][1]["validator"] = "^[0-9A-Za-z ,.-]+\$";
	$edit[2]["fields"][1]["error"] = "First name must be alphanumeric";
	$edit[2]["fields"][2]["name"] = "Last name";
	$edit[2]["fields"][2]["field"] = "last_name";
	$edit[2]["fields"][2]["type"] = 2;
	$edit[2]["fields"][2]["validator"] = "^[0-9A-Za-z ,.-]+\$";
	$edit[2]["fields"][2]["error"] = "Last name must be alphanumeric";
	$edit[2]["fields"][3]["name"] = "Email";
	$edit[2]["fields"][3]["field"] = "email";
	$edit[2]["fields"][3]["type"] = 2;
	$edit[2]["fields"][3]["validator"] = "^(|[\w\.\+\-=]+@[\w\.\-]+\.[\w\-]+)\$";
	$edit[2]["fields"][3]["error"] = "Email must be empty or ???@???.???";
	$edit[2]["fields"][4]["name"] = "Home phone";
	$edit[2]["fields"][4]["field"] = "home_phone";
	$edit[2]["fields"][4]["type"] = 2;
	$edit[2]["fields"][4]["validator"] = "^(|\(\d{3}\)\d{3}-\d{4})\$";
	$edit[2]["fields"][4]["error"] = "Home phone must be empty or (???)???-????";
	$edit[2]["fields"][5]["name"] = "Business phone";
	$edit[2]["fields"][5]["field"] = "business_phone";
	$edit[2]["fields"][5]["type"] = 2;
	$edit[2]["fields"][5]["validator"] = "^(|\(\d{3}\)\d{3}-\d{4})\$";
	$edit[2]["fields"][5]["error"] = "Business phone must be empty or (???)???-????";
	$edit[2]["fields"][6]["name"] = "Cell phone";
	$edit[2]["fields"][6]["field"] = "cell_phone";
	$edit[2]["fields"][6]["type"] = 2;
	$edit[2]["fields"][6]["validator"] = "^(|\(\d{3}\)\d{3}-\d{4})\$";
	$edit[2]["fields"][6]["error"] = "Cell phone must be empty or (???)???-????";
	$edit[2]["fields"][7]["name"] = "Pager phone";
	$edit[2]["fields"][7]["field"] = "pager_phone";
	$edit[2]["fields"][7]["type"] = 2;
	$edit[2]["fields"][7]["validator"] = "^(|\(\d{3}\)\d{3}-\d{4})\$";
	$edit[2]["fields"][7]["error"] = "Pager phone must be empty or (???)???-????";
	$edit[2]["fields"][8]["name"] = "Address";
	$edit[2]["fields"][8]["field"] = "address";
	$edit[2]["fields"][8]["type"] = 2;
	$edit[2]["fields"][8]["validator"] = "^(|[A-Za-z0-9 -#,.]+)\$";
	$edit[2]["fields"][8]["error"] = "Address must be empty or alphanumeric with some special chars";
	$edit[2]["fields"][9]["name"] = "City";
	$edit[2]["fields"][9]["field"] = "city";
	$edit[2]["fields"][9]["type"] = 2;
	$edit[2]["fields"][9]["validator"] = "^(|[A-Za-z0-9 ]+)\$";
	$edit[2]["fields"][9]["error"] = "City must be empty or alphanumeric";
	$edit[2]["fields"][10]["name"] = "Province";
	$edit[2]["fields"][10]["field"] = "province";
	$edit[2]["fields"][10]["type"] = 2;
	$edit[2]["fields"][10]["validator"] = "^(|[A-Z]{2})\$";
	$edit[2]["fields"][10]["error"] = "Province must be empty or a two letter abbreviation";
	$edit[2]["fields"][11]["name"] = "Postal code";
	$edit[2]["fields"][11]["field"] = "postal_code";
	$edit[2]["fields"][11]["type"] = 2;
	$edit[2]["fields"][11]["validator"] = "^(|[A-Z0-9 ]+)\$";
	$edit[2]["fields"][11]["error"] = "Postal code must be empty or alphanumeric";
	$edit[2]["fields"][12]["name"] = "Directions";
	$edit[2]["fields"][12]["field"] = "directions";
	$edit[2]["fields"][12]["type"] = 2;

	ajax_print_table_list($edit);
?>
