<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_TICKETING_CONSULTANT);
?>

<h1>New Ticket</h1>

<?php
	print_errors();

	if ($_REQUEST["create"]) {
		# we're coming back after some errors
		$consultant_id = clean_form_form($_REQUEST["consultant_id"]);
		$status_id = clean_form_form($_REQUEST["status_id"]);
		$summary = clean_form_form($_REQUEST["summary"]);
		$description = clean_form_form($_REQUEST["description"]);
		$on_hold = mktime(0,0,0, $_REQUEST["hold_date"]["month"], $_REQUEST["hold_date"]["day"], $_REQUEST["hold_date"]["year"]);
		$urgent = clean_form_form($_REQUEST["urgent"]);
	} else {
		$consultant_id = $_SESSION["consultant_id"];
		$status_id = 1;
		$summary = "";
		$description = "";
		$on_hold = time() - (60*60*24);
		$urgent = 0;
	}
?>

<h2>Ticket Details</h2>

<form action="index.php" method="post">

<input type="hidden" name="next_page" value="ticketing/new_ticket3.php" />
<input type="hidden" name="validator" value="ticketing/new_ticket2.php" />
<input type="hidden" name="person_id" value="<?php echo($_REQUEST["person_id"]); ?>" />

<table>

<tr>
<td>Person</td>
<td><?php
	$SQL = "SELECT first_name, last_name FROM ticket_person WHERE person_id = ".clean_form_sql($_REQUEST["person_id"]);
	$result = sql_query_read($SQL);
	$row = sql_fetch_array($result);
	echo (clean_sql_display($row["first_name"])." ".clean_sql_display($row["last_name"]));
?></td>
</tr>

<tr>
<td>Consultant</td>
<td><?php display_consultant_dropdown("consultant_id", $consultant_id); ?></td>
</tr>

<tr>
<td>Status</td>
<td><?php display_status_dropdown("status_id", $status_id); ?></td>
</tr>

<tr>
<td>Summary</td>
<td><input type="text" name="summary" style="width: 300px" value="<?php echo($summary); ?>" /></td>
</tr>

<tr>
<td>Description</td>
<td><textarea name="description" rows="5" cols="40" style="width: 300px"><?php echo($description) ?></textarea></td>
</tr>

<tr>
<td>On hold until</td>
<td><?php display_date_dropdown($on_hold, "hold_date", "date"); ?></td>
</tr>

<tr>
<td>Urgent?</td>
<td><input type="checkbox" name="urgent" <?php ($urgent ? "checked=\"checked\"" : ""); ?> /></td>
</tr>

</table>

<p><input type="submit" name="create" value="Create" /></p>

</form>
