<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_TICKETING_CONSULTANT);

	$SQL = "SELECT ticket_ticket.ticket_id, ticket_status.name AS status_name, summary, SUM(ticket_progress.rate * (ticket_progress.time_spent / 60)) AS charge, SUM(ticket_progress.time_spent) AS time_spent, ticket_ticket.date_closed
		FROM ticket_ticket
		LEFT JOIN ticket_status ON (ticket_ticket.status_id = ticket_status.status_id)
		LEFT JOIN ticket_progress ON (ticket_ticket.ticket_id = ticket_progress.ticket_id)
		WHERE 1=1 ";

	switch ($_REQUEST["type"]) {
		case "all":
			break;
		case "open":
			$SQL .= "AND date_closed IS NULL ";
			break;
		case "closed":
			$SQL .= "AND date_closed IS NOT NULL ";
			break;
		case "between":
			$start_date = mktime(0,0,0, $_REQUEST["start_date"]["month"], $_REQUEST["start_date"]["day"], $_REQUEST["start_date"]["year"]);
			$end_date = mktime(23,59,59, $_REQUEST["end_date"]["month"], $_REQUEST["end_date"]["day"], $_REQUEST["end_date"]["year"]);
			$SQL .= "AND date_closed >= FROM_UNIXTIME($start_date) AND date_closed <= FROM_UNIXTIME($end_date) ";
			break;
		default:
			puke ("A ticket type must be chosen");
			break;
	}

	$SQL .= "AND (ticket_ticket.description LIKE ".clean_form_sql("%".$_REQUEST["text_search"]."%")." OR ticket_ticket.summary LIKE ".clean_form_sql("%".$_REQUEST["text_search"]."%")." OR ticket_progress.description LIKE ".clean_form_sql("%".$_REQUEST["text_search"]."%").") ";

	$SQL .= "GROUP BY ticket_ticket.ticket_id, status_name, summary, ticket_ticket.date_closed";

	$result = sql_query_read($SQL);
	
	echo ("<h1>Search Results</h1>");

	print_tickets($result);

?>
