<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_TICKETING_CONSULTANT);

	$SQL = "SELECT ticket_ticket.ticket_id, ticket_status.name AS status_name, summary, SUM(ticket_progress.rate * (ticket_progress.time_spent / 60)) AS charge, SUM(ticket_progress.time_spent) AS time_spent, ticket_ticket.date_closed
		FROM ticket_ticket
		LEFT JOIN ticket_status ON (ticket_ticket.status_id = ticket_status.status_id)
		LEFT JOIN ticket_progress ON (ticket_ticket.ticket_id = ticket_progress.ticket_id)
		WHERE 1=1 ";

	switch ($_REQUEST["type"]) {
		case "outstanding":
			$SQL .= "AND ticket_ticket.date_closed IS NULL ";
			break;
		case "no_hold":
			$SQL .= "AND (ticket_ticket.date_hold <= ".time()." OR ticket_ticket.date_hold IS NULL) AND ticket_ticket.date_closed IS NULL ";
			break;
		case "hold":
			$SQL .= "AND ticket_ticket.date_hold > ".time()." AND ticket_ticket.date_closed IS NULL ";
			break;
		case "urgent":
			$SQL .= "AND ticket_ticket.urgent <> 0 AND ticket_ticket.date_closed IS NULL ";
			break;
		case "not_today":
			$now = mktime(0,0,0,date("n"),date("j"),date("Y"));
			$SQL .= " AND ticket_ticket.ticket_id NOT IN (SELECT DISTINCT ticket_ticket.ticket_id FROM ticket_ticket INNER JOIN ticket_progress ON (ticket_ticket.ticket_id = ticket_progress.ticket_id AND ticket_progress.date_done >= ".time().")) AND ticket_ticket.date_closed IS NULL ";
			break;
		default:
			puke ("A ticket type must be chosen");
			break;
	}

	if (is_array($_REQUEST["status_id"])) {
		foreach ($_REQUEST["status_id"] as $key => $value) {
			$status[] = clean_form_sql($value);
		}
		$SQL .= "AND ticket_ticket.status_id IN (".join(",",$status).") ";
	}

	$SQL .= "GROUP BY ticket_ticket.ticket_id, status_name, summary, ticket_ticket.date_closed";

	$result = sql_query_read($SQL);
	
	echo ("<h1>Search Results</h1>");

	print_tickets($result);

?>
