<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_TICKETING_CONSULTANT);

	if (isset($_REQUEST["add_progress"])) {
		$successes[] = "Added progress item";
	}

	$SQL = "SELECT ticket_person.first_name, ticket_person.last_name, ticket_person.email,
			ticket_person.home_phone, ticket_person.business_phone, ticket_person.cell_phone,
			ticket_person.pager_phone, ticket_person.address, ticket_person.city,
			ticket_person.province, ticket_person.postal_code, ticket_person.directions,
			date_opened, date_hold, date_closed,
			ticket_status.name AS status_name, ticket_ticket.summary, ticket_ticket.description,
			ticket_consultant.name AS consultant_name, ticket_ticket.urgent, ticket_ticket.person_id
		FROM ticket_ticket
		INNER JOIN ticket_person ON (ticket_ticket.person_id = ticket_person.person_id)
		INNER JOIN ticket_status ON (ticket_ticket.status_id = ticket_status.status_id)
		INNER JOIN ticket_consultant ON (ticket_ticket.consultant_id = ticket_consultant.consultant_id)
		WHERE ticket_ticket.ticket_id = ".clean_form_sql($_REQUEST["ticket_id"]);

	$result = sql_query_read($SQL);

	if (sql_num_rows($result) < 1) {
		echo ("<h1>Error</h1><p><i>No ticket found!</i></p>");
	} else {
		$row = sql_fetch_array($result);

		if ($row["date_closed"] == null) {
			echo ("<h1>Ticket #".$_REQUEST["ticket_id"]."</h1>");
		} else {
			echo ("<h1><s>Ticket #".$_REQUEST["ticket_id"]."</s></h1>");
		}

		print_errors();
?>

<h2>Problem Details</h2>

<table>

<tr>
<td>Client:</td>
<td><b><?php echo(clean_sql_display($row["first_name"])." ".clean_sql_display($row["last_name"])); ?></b> <a href="javascript:ajax('person_details', 'person_id', '<?php echo($row["person_id"]); ?>')" class="hide_in_print">Details</a></td>
</tr>

<div id="details">

<tr>
<td>Email:</td>
<td><b><?php echo(clean_sql_display($row["email"])); ?></b></td>
</tr>

<?php
	if ($row["home_phone"]) {
		$phones .= "<b>".$row["home_phone"]."</b> (home) ";
	}
	if ($row["cell_phone"]) {
		$phones .= "<b>".$row["cell_phone"]."</b> (cell) ";
	}
	if ($row["business_phone"]) {
		$phones .= "<b>".$row["cell_phone"]."</b> (business) ";
	}
	if ($row["pager_phone"]) {
		$phones .= "<b>".$row["cell_phone"]."</b> (pager) ";
	}
?>

<tr>
<td>Phone:</td>
<td><?php echo($phones); ?></td>
</tr>

</div>

<tr>
<td>Date opened:</td>
<td><b><?php echo(date("F j, Y H:i", $row["date_opened"])); ?></b></td>
</tr>

<?php
	if ($row["urgent"] != 0) {
		echo ("<tr><td colspan=\"2\"><b>URGENT!</b></tr>");
	}
?>

<tr>
<td>Consultant:</td>
<td><b><?php echo(clean_sql_display($row["consultant_name"])); ?></b></td>
</tr>

<tr>
<td>Summary:</td>
<td><b><?php echo(clean_sql_display($row["summary"])); ?></b></td>
</tr>

</table>

<h2>Description</h2>

<p><?php echo(clean_sql_display($row["description"])); ?></p>

<h2>Progress Items</h2>

<?php

		$SQL2 = "SELECT date_done, ticket_consultant.name AS consultant_name,
			time_spent, rate, description
			FROM ticket_progress 
			INNER JOIN ticket_consultant ON (ticket_progress.consultant_id = ticket_consultant.consultant_id)
			WHERE ticket_id = ".clean_form_sql($_REQUEST["ticket_id"])."
			ORDER BY date_done";
		$result2 = sql_query_read($SQL2);

		if (sql_num_rows($result2) == 0) {
			echo ("<p><i>No progress yet!</i></p>");
		} else {
			while ($row2 = sql_fetch_array($result2)) {
?>
<table border="1" style="border-collapse: collapse; margin-bottom: 15px;" width="100%">
<tr>
<td style="background: #CCCCCC;"><b>
<?php echo(date("F j, Y H:i:s", $row2["date_done"])); ?> by <?php echo(clean_sql_display($row2["consultant_name"])); ?> - <?php echo(clean_sql_display($row2["time_spent"])); ?> mins ($<?php echo(number_format($row2["rate"] * ($row2["time_spent"]/60), 2, ".", "")); ?>)
</b></td>
</tr>
<tr>
<td>
<?php echo(clean_sql_display($row2["description"])); ?>
</td>
</tr>
</table>
<?php
			}
		}

		if ($_REQUEST["add"]) {
			# we're getting kicked back because of a form val error
			$description = clean_form_form($_REQUEST["description"]);
			$summary = clean_form_form($_REQUEST["summary"]);
			$consultant_id = clean_form_form($_REQUEST["consultant_id"]);
			$time = clean_form_form($_REQUEST["time"]);
			$rate = clean_form_form($_REQUEST["rate"]);
			if (isset($_REQUEST["on_hold"])) {
				$on_hold_check = " checked=\"checked\" ";
			}
			$on_hold_time = mktime(0,0,0, $_REQUEST["date_hold"]["month"], $_REQUEST["date_hold"]["day"], $_REQUEST["date_hold"]["year"]);
			print "Hold time is $on_hold_time";
			if (isset($_REQUEST["close_on"])) {
				$close_on_check = " checked=\"checked\" ";
			} elseif (isset($_REQUEST["close_off"])) {
				$close_off_check = " checked=\"checked\" ";
			}
			if (isset($_REQUEST["urgent"])) {
				$urgent_check = " checked=\"checked\" ";
			}
		} else {
			$consultant_id = $_SESSION["consultant_id"];
			# add a day to the on hold so that it's on hold for
			# at least a day!
			$on_hold_time = time() + 60*60*24;
			if ($row["urgent"] != 0) {
				$urgent_check = " checked=\"checked\" ";
			}
		}
?>

<form action="index.php" method="post" class="hide_in_print">

<input type="hidden" name="next_page" value="ticketing/show_ticket2.php" />
<input type="hidden" name="validator" value="ticketing/show_ticket.php" />
<input type="hidden" name="ticket_id" value="<?php echo($_REQUEST["ticket_id"]); ?>" />

<h2>New Progress Item</h2>

<table>

<tr>
<td>Summary*</td>
<td><input type="text" name="summary" style="width: 300px" value="<?php echo($summary); ?>" /></td>
</tr>

<tr>
<td>Description*</td>
<td><textarea name="description" rows="5" cols="40" style="width: 300px"><?php echo($description); ?></textarea></td>
</tr>

<tr>
<td>Consultant</td>
<td><?php echo(display_consultant_dropdown("consultant_id", $consultant_id)); ?></td>
</tr>

<tr>
<td>Time*</td>
<td><input type="text" name="time" style="width: 300px" value="<?php echo($time); ?>" /></td>
</tr>

<tr>
<td>Rate*</td>
<td><input type="text" name="rate" style="width: 300px" value="<?php echo($rate); ?>" /></td>
</tr>

<tr>
<td>On hold</td>
<td><input type="checkbox" name="on_hold" <?php echo($on_hold_check); ?> /><?php echo(display_date_dropdown($on_hold_time, "date_hold", "date")); ?></td>
</tr>

<?php
if ($row["date_closed"] != null) {
?>

<tr>
<td>Reopen</td>
<td><input type="checkbox" name="close_off" <?php echo($close_off_check); ?> /> (Closed <?php echo(date("F j, Y H:i:s", $row["date_closed"])); ?>)</td>
</tr>

<?php
} else {
?>

<tr>
<td>Close</td>
<td><input type="checkbox" name="close_on" <?php echo($close_on_check); ?> /></td>
</tr>

<?php
}
?>

<tr>
<td>Urgent</td>
<td><input type="checkbox" name="urgent" <?php echo($urgent_check); ?> /></td>
</tr>

</table>

<p><input type="submit" name="add" value="Add" /></p>

</form>

<?php
	}
?>
