<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_TICKETING_CONSULTANT);

	# start a transaction -- this all has to work
	sql_start_transaction();

	# add the progress item
	$id = sql_next_id("ticket_progress");
	$field_array = array("progress_id", "ticket_id", "consultant_id", "date_done", "rate", "site_visit", "time_spent", "description");
	$insert_array = array($id, $_REQUEST["ticket_id"], $_REQUEST["consultant_id"], time(), $_REQUEST["rate"],
		(isset($_REQUEST["site_visit"]) ? 1 : 0), $_REQUEST["time"], $_REQUEST["description"]);
	$stmt = sql_build_manip("ticket_progress", $field_array, MDB2_AUTOQUERY_INSERT, NULL);
	sql_execute_manip($stmt, $insert_array);

	# update the ticket info
	$field_array = array("urgent", "summary", "date_hold");
	$update_array = array((isset($_REQUEST["urgent"]) ? 1 : 0), $_REQUEST["summary"]);

	# hold
	if (isset($_REQUEST["on_hold"])) {
		$time = mktime(0,0,0,$_REQUEST["date_hold"]["month"], $_REQUEST["date_hold"]["day"], $_REQUEST["date_hold"]["year"]);
		$update_array[] = $time;
	} else {
		$update_array[] = NULL;
	}

	# close/reopen
	if (isset($_REQUEST["close_on"])) {
		$field_array[] = "date_closed";
		$update_array[] = time();
	} elseif (isset($_REQUEST["close_off"])) {
		$field_array[] = "date_closed";
		$update_array[] = NULL;
	}

	# where condition
	$update_array[] = $_REQUEST["ticket_id"];

	$stmt = sql_build_manip("ticket_ticket", $field_array, MDB2_AUTOQUERY_UPDATE, "ticket_id = ?");
	sql_execute_manip($stmt, $update_array);

	sql_commit();
	
	# save the selected consultant so that it can be used
	# as the default for the rest of the session
	$_SESSION["consultant_id"] = $_REQUEST["consultant_id"];

	header("Location: index.php?next_page=ticketing/show_ticket.php&ticket_id=".$_REQUEST["ticket_id"]."&add_progress=true");

?>
