<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_USER);

	echo ("<h1>Todo List - Edit Item</h1>");

	$SQL = "SELECT title, description, priority, due_date, is_closed, hold_date FROM std_item WHERE item_id = ".clean_form_sql($_REQUEST["item_id"])." AND user_id = ".clean_form_sql($_SESSION["user_id"]);
	$result = sql_query_read($SQL);
	
	if (sql_num_rows($result) == 0) {
		$errors[] = "No item found";
	}

	print_errors();

	if (sql_num_rows($result) > 0) {
		$row = sql_fetch_array($result);
		if ($_REQUEST["submit"]) {
			# we're returning, use submitted values
			$title = clean_form_form($_REQUEST["title"]);
			$description = clean_form_form($_REQUEST["description"]);
			$priority = clean_form_form($_REQUEST["priority"]);
			$due_date = mktime(1,1,1,
				$_REQUEST["due_date"]["month"],
				$_REQUEST["due_date"]["day"],
				$_REQUEST["due_date"]["year"]);
			$hold_date = mktime(1,1,1,
				$_REQUEST["hold_date"]["month"],
				$_REQUEST["hold_date"]["day"],
				$_REQUEST["hold_date"]["year"]);
			if (isset($_REQUEST["is_closed"])) {
				$is_closed = true;
			} else {
				$is_closed = false;
			}
			
		} else {
			# first hit, use database values
			$title = clean_sql_form($row["title"]);
			$description = clean_sql_form($row["description"]);
			$priority = clean_sql_form($row["priority"]);
			$due_date = clean_sql_form($row["due_date"]);
			$hold_date = clean_sql_form($row["hold_date"]);
			$is_closed = clean_sql_form($row["is_closed"]);
		}
?>
<p>Use this form to edit and close your todo list items.</p>
<form action="index.php" method="post">
<input type="hidden" name="next_page" value="todo/edit_do.php" />
<input type="hidden" name="validator" value="todo/add.php" />
<input type="hidden" name="item_id" value="<?php echo(clean_form_form($_REQUEST["item_id"])); ?>" />
<table>
<tr>
<td>Title</td>
<td><input type="text" name="title" style="width: 300px" value="<?php echo($title); ?>" /></td>
</tr>
<tr>
<td>Description</td>
<td><textarea name="description" rows="5" cols="30" style="width: 300px"><?php echo($description); ?></textarea></td>
</tr>
<tr>
<td>Priority</td>
<td>Low
<input type="radio" name="priority" value="1" <?php echo($priority == 1 ? "checked=\"checked\"" : ""); ?> />
<input type="radio" name="priority" value="2" <?php echo($priority == 2 ? "checked=\"checked\"" : ""); ?> />
<input type="radio" name="priority" value="3" <?php echo($priority == 3 ? "checked=\"checked\"" : ""); ?> />
<input type="radio" name="priority" value="4" <?php echo($priority == 4 ? "checked=\"checked\"" : ""); ?> />
<input type="radio" name="priority" value="5" <?php echo($priority == 5 ? "checked=\"checked\"" : ""); ?> />
High</td>
</tr>
<tr>
<td>Due Date</td>
<td><?php echo(display_date_dropdown($due_date,"due_date","date")); ?></td>
</tr>
<tr>
<td>On Hold Until</td>
<td><?php echo(display_date_dropdown($hold_date,"hold_date","date")); ?></td>
</tr>
<tr>
<td>Item is complete</td>
<td><input type="checkbox" name="is_closed" <?php echo($is_closed ? "checked=\"checked\"" : ""); ?> /></td>
</tr>
</table>

<p><input type="submit" name="submit" value="Save" /></p>

<?php
	}

?>
