<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	require_login(AUTH_USER);

	echo ("<h1>Todo List - Current List</h1>");

	if ($_REQUEST["result"]) {
		echo ("<h2 style=\"color: #009900\">".clean_form_display($_REQUEST["result"])."</h2>\n");
	}

	# handle vars which determine which items to show
	if ($_REQUEST["show_hold"]) {
		$_SESSION["show_hold"] = 1;
	}
	if ($_REQUEST["hide_hold"]) {
		$_SESSION["show_hold"] = 0;
	}
	if ($_REQUEST["show_closed"]) {
		$_SESSION["show_closed"] = 1;
	}
	if ($_REQUEST["hide_closed"]) {
		$_SESSION["show_closed"] = 0;
	}
	
	$SQL = "SELECT item_id, title, is_closed, due_date, priority FROM std_item WHERE user_id = ".clean_form_sql($_SESSION["user_id"]);

	# optional chunks
	if (!isset($_SESSION["show_hold"]) || $_SESSION["show_hold"] == 0) {
		$SQL .= " AND (hold_date IS NULL OR hold_date <= ".time().")";
	}
	if (!isset($_SESSION["show_closed"]) || $_SESSION["show_closed"] == 0) {
		$SQL .= " AND (is_closed IS NULL OR is_closed <> 1)";
	}

	$result = sql_query_read($SQL);

	$array = array();
	# paginate the results
	while ($row = sql_fetch_array($result)) {
		$array_2 = array();
		if ($_SESSION["show_closed"]) {
			$array_2["Closed"] = ($row["is_closed"] == 0 ? "" : "Yes");
			$default = "Closed";
		} else {
			$default = "Overdue";
		}
		$array_2["Overdue"] = ($row["due_date"] == "" || $row["due_date"] > time() ? "" : "Yes");
		$array_2["Priority"] = $row["priority"];
		$array_2["Due Date"] = date("Y-m-d", $row["due_date"]);
		$array_2["Title"][0] = $row["title"];
		if ($row["is_closed"]) {
			$array_2["Title"][1] = "<a href=\"index.php?next_page=todo/edit.php&amp;item_id=".$row["item_id"]."\"><s>".$row["title"]."</s></a>";
		} else {
			$array_2["Title"][1] = "<a href=\"index.php?next_page=todo/edit.php&amp;item_id=".$row["item_id"]."\">".$row["title"]."</a>";
		}
		array_push($array,$array_2);
	}

	if (count($array) > 0) {
		paginate($array,$default,SORT_DESC, 0, "Title");
	} else {
		echo ("<p><i>No items to display!</i></p>");
	}
	
	# nav links
	if ($_SESSION["show_hold"] == 1) {
		echo ("<p><a href=\"index.php?next_page=todo/list.php&amp;hide_hold=1\">Hide items on hold</a></p>\n");
	} else {
		echo ("<p><a href=\"index.php?next_page=todo/list.php&amp;show_hold=1\">Show items on hold</a></p>\n");
	}
	
	if ($_SESSION["show_closed"] == 1) {
		echo ("<p><a href=\"index.php?next_page=todo/list.php&amp;hide_closed=1\">Hide closed</a></p>\n");
	} else {
		echo ("<p><a href=\"index.php?next_page=todo/list.php&amp;show_closed=1\">Show closed</a></p>\n");
	}

?>
