<?php

/*

    Gavintech Framework - A base for PHP projects
    Copyright (C) 2004-2008 Chris Kloosterman

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Author's Email Address:
        kloostec@gavintech.com
    Paper Mail:
        5945 Cassino Road
        Duncan, BC, V9L 4G5, Canada

*/

	# do not cache anything generated by this page
	header("Expires: Tue, 01 Jan 1981 01:00:00 GMT");
	header("Cache-Control: no-cache");
	header("Cache-Control: post-check=0,pre-check=0");
	header("Cache-Control: max-age=0");
	header("Pragma: no-cache");

	require_once("framework/includes.php");
	load("sidebar.php");

        switch ($_REQUEST["action"]) {
		case 'menu':
			echo ("sidebar|".do_sidebar());
                        break;
		case 'ajax_edit':
			echo ("ajax_edit|".ajax_print_edit_page($_REQUEST["id"]));
			break;
		case 'ajax_paginate':
			# set these session variables so that if the page is reloaded,
			# we go back to the same pagination settings as before
			if (isset($_REQUEST["paginate_direction"]) && $_REQUEST["paginate_direction"] != "") {
				$_SESSION["paginate"]["default_sort_direction"] = clean_form_display($_REQUEST["paginate_direction"]);
			}
			$_SESSION["paginate"]["default_sort_column"] = clean_form_display($_REQUEST["paginate_sort"]);
			$_SESSION["paginate"]["number_per_page"] = clean_form_display($_REQUEST["paginate_count"]);
			$_SESSION["paginate"]["page_number"] = clean_form_display($_REQUEST["paginate_page"]);

			echo ("paginate|".do_paginate());
			break;
		case 'person_search':
			if (trim($_REQUEST["name"]) != "") {
				$result = "<h2>Search Results</h2>";
				$SQL = "SELECT person_id, first_name, last_name
						FROM ticket_person
						WHERE first_name LIKE ".clean_form_sql("%".$_REQUEST["name"]."%")."
						OR last_name LIKE ".clean_form_sql("%".$_REQUEST["name"]."%");
				$result2 = sql_query_read($SQL);
				if (sql_num_rows($result2) > 0) {
					$result .= "<p>";
					while ($row = sql_fetch_array($result2)) {
						$result .= "<input type=\"radio\" name=\"person_id\" value=\"".clean_sql_form($row["person_id"])."\" />".clean_sql_display($row["first_name"])." ".clean_sql_display($row["last_name"])."<br />";
					}
					$result .= "</p>";
					$result .= "<p><input type=\"submit\" value=\"Choose\" /></p>";
				} else {
					$result .= "<p><i>No results found</i></p>";
				}
			} else {
				$result = "You must specify a search term";
			}
			echo ("results|$result");
			break;
		case 'captcha':
			$_SESSION["captcha"]["selected"][$_REQUEST["id"]] = ($_SESSION["captcha"]["selected"][$_REQUEST["id"]] + 1) % 2;
			for ($i = 0; $i < 9; $i++) {
				if ($_SESSION["captcha"]["selected"][$i]) {
					$sel[] = $i + 1;
				}
			}
			if (count($sel) > 0) {
				$reply = "You have currently selected: ".join(",",$sel);
				echo ("cap_results|$reply");
			} else {
				echo ("cap_results|You have not selected any pictures");
			}
			break;
		case 'machines_refresh_dropdowns':
			# set the session variables with the parts that the user selected
			foreach ($_REQUEST["computer_part_id"] as $key => $value) {
				$_SESSION["computer_part_id"][$key] = $value;
			}
			echo ("computer_part_list|".computer_part_dropdown_list());
			break;
        }

	load("rpc_loader.php");
?>

